ExchangeLink (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.exchange.ExchangeLink interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.exchange
Interface ExchangeLink

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface ExchangeLink

extends LogicalElement

Represents the Exchange Link

Naming Rules:
  0="parent,linkID,linkName,protocolName"
Persistable:
  true
Table Name:
  EXCHLINK
Display Name:
  linkName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`boolean` | `getActionFreeze()` Indicates whether the link supports freezing messages in its queues Best Practice Content: From the WMI classes for Exchange Server 2003: Exchange_Link.ActionFreeze
`boolean` | `getActionKick()` Indicates whether the link can trigger its queues to retry transmitting waiting messages immediately Best Practice Content: From the WMI classes for Exchange Server 2003: Exchange_Link.ActionKick
`boolean` | `getActionThaw()` Indicates whether the link supports thawing messages in its queues Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_Link.ActionThaw
`java.lang.String` | `getLinkID()` The identifier for the link Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_ Link.LinkId
`java.lang.String` | `getLinkName()` The name of the link Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_Link.LinkName
`ExchangeProtocolVirtualServer` | `getParent()`
`java.lang.String` | `getProtocolName()` The transmission protocol used by the link Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_ Link.ProtocolName
`ExchangeQueue[]` | `getQueues()`
`boolean` | `hasActionFreeze()`
`boolean` | `hasActionKick()`
`boolean` | `hasActionThaw()`
`boolean` | `hasLinkID()`
`boolean` | `hasLinkName()`
`boolean` | `hasParent()`
`boolean` | `hasProtocolName()`
`boolean` | `hasQueues()`
`void` | `setActionFreeze(boolean x)`
`void` | `setActionKick(boolean x)`
`void` | `setActionThaw(boolean x)`
`void` | `setLinkID(java.lang.String x)`
`void` | `setLinkName(java.lang.String x)`
`void` | `setParent(ExchangeProtocolVirtualServer x)`
`void` | `setProtocolName(java.lang.String x)`
`void` | `setQueues(ExchangeQueue[] x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getLinkID

    java.lang.String getLinkID()
                               throws AttributeNotSetException

  The identifier for the link Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_ Link.LinkId

  Throws:
    `AttributeNotSetException`

### setLinkID

    void setLinkID(java.lang.String x)

### hasLinkID

    boolean hasLinkID()

### getProtocolName

    java.lang.String getProtocolName()
                                     throws AttributeNotSetException

  The transmission protocol used by the link Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_ Link.ProtocolName

  Throws:
    `AttributeNotSetException`

### setProtocolName

    void setProtocolName(java.lang.String x)

### hasProtocolName

    boolean hasProtocolName()

### getLinkName

    java.lang.String getLinkName()
                                 throws AttributeNotSetException

  The name of the link Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_Link.LinkName

  Throws:
    `AttributeNotSetException`

### setLinkName

    void setLinkName(java.lang.String x)

### hasLinkName

    boolean hasLinkName()

### getActionFreeze

    boolean getActionFreeze()
                            throws AttributeNotSetException

  Indicates whether the link supports freezing messages in its queues Best Practice Content: From the WMI classes for Exchange Server 2003: Exchange_Link.ActionFreeze

  Throws:
    `AttributeNotSetException`

### setActionFreeze

    void setActionFreeze(boolean x)

### hasActionFreeze

    boolean hasActionFreeze()

### getParent

    ExchangeProtocolVirtualServer getParent()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(ExchangeProtocolVirtualServer x)

### hasParent

    boolean hasParent()

### getActionThaw

    boolean getActionThaw()
                          throws AttributeNotSetException

  Indicates whether the link supports thawing messages in its queues Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_Link.ActionThaw

  Throws:
    `AttributeNotSetException`

### setActionThaw

    void setActionThaw(boolean x)

### hasActionThaw

    boolean hasActionThaw()

### getQueues

    ExchangeQueue[] getQueues()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setQueues

    void setQueues(ExchangeQueue[] x)

### hasQueues

    boolean hasQueues()

### getActionKick

    boolean getActionKick()
                          throws AttributeNotSetException

  Indicates whether the link can trigger its queues to retry transmitting waiting messages immediately Best Practice Content: From the WMI classes for Exchange Server 2003: Exchange_Link.ActionKick

  Throws:
    `AttributeNotSetException`

### setActionKick

    void setActionKick(boolean x)

### hasActionKick

    boolean hasActionKick()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD